Difference between revisions of "Installing Emacs on GNU/Linux"

From WikEmacs
Jump to navigation Jump to search
(added more categories)
(Updated Debian and mentioned GNU Guix)
 
(24 intermediate revisions by 16 users not shown)
Line 1: Line 1:
 
Check if your distribution already provides an Emacs version of interest to you.  
 
Check if your distribution already provides an Emacs version of interest to you.  
  
If you are interested in daily builds or latest binaries,  try building from [https://github.com/emacsmirror/emacs source] or try one of the following unofficial repositories based on your distribution.
+
If you are interested in daily builds or latest binaries,  try installing GNU Guix,  building from [https://github.com/emacsmirror/emacs source] or try one of the following unofficial repositories for your distribution.
 +
 
 +
= Debian (bullseye) =
 +
 
 +
Debian bullseye is the current stable release as of 2021-10-10.
 +
 
 +
== Emacs 27.1 ==
  
= Debian =
 
See [http://emacs.naquadah.org/ emacs-snapshot APT repo]. The page contains installation instructions. High quality, highly recommended builds! After adding the repo install with the following command:
 
 
<source lang="bash">
 
<source lang="bash">
$ sudo apt-get install emacs-snapshot
+
$ sudo apt install emacs
 
</source>
 
</source>
 +
 +
<!-- == Emacs 24 == -->
 +
 +
<!-- See [http://emacs.naquadah.org/ emacs-snapshot APT repo]. The page contains installation instructions. High quality, highly recommended builds! After adding the repo according to the instructions linked to above, install with the following command: -->
 +
<!-- <source lang="bash"> -->
 +
<!-- $ sudo apt-get install emacs-snapshot -->
 +
<!-- </source> -->
  
 
= Ubuntu =
 
= Ubuntu =
 +
 +
== Emacs 23 ==
 +
 
<source lang="bash">
 
<source lang="bash">
 +
$ sudo apt-get install emacs
 +
</source>
 +
 +
== Emacs 24 ==
 +
The following PPA is no longer maintained and currently features Emacs 24.3.
 +
 +
<source lang="bash">
 
$ sudo apt-add-repository ppa:cassou/emacs
 
$ sudo apt-add-repository ppa:cassou/emacs
$ sudo apt-get install emacs-snapshot
+
 
 +
$ sudo apt-get install emacs24 emacs24-el emacs24-common-non-dfsg
 +
</source>
 +
 
 +
== Emacs 25 ==
 +
 
 +
<source lang="bash">
 +
sudo apt-add-repository -y ppa:adrozdoff/emacs
 +
sudo apt update
 +
sudo apt install emacs25
 +
</source>
 +
 
 +
== Emacs Daily ==
 +
 
 +
<source lang="bash">
 +
$ sudo apt-add-repository ppa:ubuntu-elisp/ppa
 +
 
 +
$ sudo apt-get install emacs-snapshot emacs-snapshot-el
 
</source>
 
</source>
  
Line 19: Line 57:
  
 
= Arch Linux =
 
= Arch Linux =
See  [http://aur.archlinux.org/packages.php?ID=33337 emacs-bzr] package from [http://aur.archlinux.org/index.php AUR]
+
 
 +
== Emacs 24 ==
 +
 
 +
<source lang="bash">
 +
$ sudo pacman -S emacs
 +
</source>
 +
 
 +
== Emacs-git ==
 +
 
 +
Compile and Install bleeding edge using [https://aur.archlinux.org/packages/emacs-git/ AUR]:
 +
<source lang="bash">
 +
$ yaourt -S emacs-git
 +
</source>
  
 
= Slackware =
 
= Slackware =
Line 25: Line 75:
  
 
= Fedora =
 
= Fedora =
No pre-built packages.
 
  
= SusE =
+
== Emacs 23 ==
No pre-built packages.
+
Available up to Fedora 16
 +
<source lang="bash">
 +
$ sudo yum install emacs
 +
</source>
 +
 
 +
== Emacs 24 ==
 +
Available from Fedora 17+
 +
<source lang="bash">
 +
$ sudo yum install emacs
 +
</source>
 +
 
 +
= SUSE =
 +
 
 +
== Emacs 23 ==
 +
 
 +
Available in 12.1 and 12.2. Before that? not sure.
 +
 
 +
<source lang="bash">
 +
$ sudo zypper install emacs
 +
</source>
 +
 
 +
== Emacs 24 ==
 +
 
 +
Not available till 12.2, but available from Factory repo. Add factory repo and then,
 +
 
 +
<source lang="bash">
 +
$ sudo zypper install emacs
 +
</source>
  
 
= Mandriva =
 
= Mandriva =
 
No pre-built packages.
 
No pre-built packages.
  
[[Category:GNU/Linux]][[Category:Emacs-24.1]][[Category:Beginner]][[Category:Install Or Upgrade]]
+
[[Category:GNU/Linux]][[Category:Beginner]][[Category:Install Or Upgrade]]

Latest revision as of 12:34, 10 October 2021

Check if your distribution already provides an Emacs version of interest to you.

If you are interested in daily builds or latest binaries, try installing GNU Guix, building from source or try one of the following unofficial repositories for your distribution.

Debian (bullseye)

Debian bullseye is the current stable release as of 2021-10-10.

Emacs 27.1

$ sudo apt install emacs


Ubuntu

Emacs 23

$ sudo apt-get install emacs

Emacs 24

The following PPA is no longer maintained and currently features Emacs 24.3.

	
$ sudo apt-add-repository ppa:cassou/emacs

$ sudo apt-get install emacs24 emacs24-el emacs24-common-non-dfsg

Emacs 25

sudo apt-add-repository -y ppa:adrozdoff/emacs
sudo apt update
sudo apt install emacs25

Emacs Daily

$ sudo apt-add-repository ppa:ubuntu-elisp/ppa

$ sudo apt-get install emacs-snapshot emacs-snapshot-el

Gentoo

See Emacs on Gentoo page.

Arch Linux

Emacs 24

$ sudo pacman -S emacs

Emacs-git

Compile and Install bleeding edge using AUR:

$ yaourt -S emacs-git

Slackware

Compile and Install using emacs.SlackBuild (unofficial).

Fedora

Emacs 23

Available up to Fedora 16

$ sudo yum install emacs

Emacs 24

Available from Fedora 17+

$ sudo yum install emacs

SUSE

Emacs 23

Available in 12.1 and 12.2. Before that? not sure.

$ sudo zypper install emacs

Emacs 24

Not available till 12.2, but available from Factory repo. Add factory repo and then,

$ sudo zypper install emacs

Mandriva

No pre-built packages.